> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Complexes

> Retrieve complexes.

Example: complex_id = CPX-11,

name = SMAD2,

description = phosphorylation.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /complexes
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /complexes:
    get:
      summary: Complexes
      description: |-
        Retrieve complexes.

        Example: complex_id = CPX-11,

        name = SMAD2,

        description = phosphorylation.

        Pagination is 0-based.
      operationId: complexes
      parameters:
        - name: complex_id
          in: query
          required: false
          schema:
            type: string
        - name: name
          in: query
          required: false
          schema:
            type: string
        - name: description
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                    name:
                      type: string
                    alias:
                      type: array
                      items:
                        type: string
                      nullable: true
                    molecules:
                      type: array
                      items:
                        type: string
                      nullable: true
                    evidence_code:
                      type: string
                      nullable: true
                    experimental_evidence:
                      type: string
                      nullable: true
                    description:
                      type: string
                      nullable: true
                    complex_assembly:
                      anyOf:
                        - type: string
                        - type: array
                          items:
                            type: string
                      nullable: true
                    complex_source:
                      type: string
                      nullable: true
                    reactome_xref:
                      type: array
                      items:
                        type: string
                      nullable: true
                    source:
                      type: string
                    source_url:
                      type: string
                  required:
                    - _id
                    - name
                    - source
                    - source_url
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````